/*
 * Some of the rules are based on KnaCSS 8
 * https://github.com/alsacreations/KNACSS/blob/v8.0.4/sass/base/_reset-accessibility.scss
 * @license WTFPL https://github.com/alsacreations/KNACSS/blob/v8.0.4/LICENSE
 */

@use '../core/breakpoints' as bp;
@use '../core/mixins' as m;

// Hidden but not for an assistive technology like a screen reader, Yahoo! method
.-sr-only {
  @include m.sr-only();
}

// .-sm:sr-only
// .-md:sr-only
// .-lg:sr-only
@include m.responds-to-variants(sr-only){
  @include m.sr-only()
};

// .-sm-l:sr-only
// .-md-l:sr-only
// .-lg-l:sr-only
@include m.responds-to-variants(sr-only, true){
  @include m.sr-only()
};
